Bug 1026126 - [abrt] terminator-0.96-3.fc18: prefseditor.py:1307:set_layout:AttributeError: 'NoneType' object has no attribute 'keys'
[abrt] terminator-0.96-3.fc18: prefseditor.py:1307:set_layout:AttributeError:...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: terminator (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5106bba22598a1fb2e5f93beeac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-03 19:41 EST by Davide Repetto
Modified: 2015-01-10 11:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-10 11:11:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (849 bytes, text/plain)
2013-11-03 19:41 EST, Davide Repetto
no flags Details
File: environ (2.51 KB, text/plain)
2013-11-03 19:41 EST, Davide Repetto
no flags Details

  None (edit)
Description Davide Repetto 2013-11-03 19:41:23 EST
Version-Release number of selected component:
terminator-0.96-3.fc18

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /usr/bin/terminator --layout=ReD
executable:     /usr/bin/terminator
kernel:         3.11.6-200.fc19.i686.PAE
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
prefseditor.py:1307:set_layout:AttributeError: 'NoneType' object has no attribute 'keys'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/terminatorlib/prefseditor.py", line 1166, in on_layout_selection_changed
    self.layouteditor.on_layout_selection_changed(selection)
  File "/usr/lib/python2.7/site-packages/terminatorlib/prefseditor.py", line 1364, in on_layout_selection_changed
    self.set_layout(layout)
  File "/usr/lib/python2.7/site-packages/terminatorlib/prefseditor.py", line 1307, in set_layout
    children = layout.keys()
AttributeError: 'NoneType' object has no attribute 'keys'

Local variables in innermost frame:
self: <terminatorlib.prefseditor.LayoutEditor instance at 0x99126cc>
layout_name: 'dds'
layout: None
listitems: {}
store: <gtk.TreeStore object at 0x992c7fc (GtkTreeStore at 0x9b772d0)>

Potential duplicate: bug 843813
Comment 1 Davide Repetto 2013-11-03 19:41:31 EST
Created attachment 818853 [details]
File: backtrace
Comment 2 Davide Repetto 2013-11-03 19:41:34 EST
Created attachment 818855 [details]
File: environ
Comment 3 Fedora End Of Life 2015-01-09 15:26:32 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.